Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class GenReportFrame

    java.lang.Object
      |
      +--com.macromedia.generator.utils.GenReportFrame

public class GenReportFrame
extends java.lang.Object

Field Summary
`(package private) GenReportFrame` | `_fld0283`
`(package private) GenReportFrame` | `_fld0284`
`long` | `currentTime`
`long` | `gifCnt`
`long` | `gifMaxSize`
`long` | `gifMaxTime`
`long` | `gifTotSize`
`long` | `gifTotTime`
`long` | `jpgCnt`
`long` | `jpgMaxSize`
`long` | `jpgMaxTime`
`long` | `jpgTotSize`
`long` | `jpgTotTime`
`long` | `maxConcurReq`
`long` | `pngCnt`
`long` | `pngMaxSize`
`long` | `pngMaxTime`
`long` | `pngTotSize`
`long` | `pngTotTime`
`long` | `qtmCnt`
`long` | `qtmMaxSize`
`long` | `qtmMaxTime`
`long` | `qtmTotSize`
`long` | `qtmTotTime`
`java.lang.String` | `startupTime`
`long` | `statTime`
`long` | `swfCnt`
`long` | `swfMaxSize`
`long` | `swfMaxTime`
`long` | `swfTotSize`
`long` | `swfTotTime`
`long` | `xgifCnt`
`long` | `xgifMaxSize`
`long` | `xgifMaxTime`
`long` | `xgifTotSize`
`long` | `xgifTotTime`

Constructor Summary
`GenReportFrame()`
`GenReportFrame(long[] al, java.lang.String s)`

Method Summary
`long` | `getGifAvgSize()`
`long` | `getGifAvgTime()`
`long` | `getGifCnt()`
`long` | `getGifMaxSize()`
`long` | `getGifMaxTime()`
`long` | `getJpgAvgSize()`
`long` | `getJpgAvgTime()`
`long` | `getJpgCnt()`
`long` | `getJpgMaxSize()`
`long` | `getJpgMaxTime()`
`long` | `getMidTime()`
`long` | `getPngAvgSize()`
`long` | `getPngAvgTime()`
`long` | `getPngCnt()`
`long` | `getPngMaxSize()`
`long` | `getPngMaxTime()`
`long` | `getQtmAvgSize()`
`long` | `getQtmAvgTime()`
`long` | `getQtmCnt()`
`long` | `getQtmMaxSize()`
`long` | `getQtmMaxTime()`
`long` | `getSwfAvgSize()`
`long` | `getSwfAvgTime()`
`long` | `getSwfCnt()`
`long` | `getSwfMaxSize()`
`long` | `getSwfMaxTime()`
`java.lang.String` | `getWriteString()`
`boolean` | `isEmpty()`
`void` | `mergeFrame(GenReportFrame genreportframe)`
`boolean` | `parseReadString(java.lang.String s)`
`void` | `resetValues(java.lang.String s)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _fld0283

    GenReportFrame _fld0283

### _fld0284

    GenReportFrame _fld0284

### startupTime

    public java.lang.String startupTime

### currentTime

    public long currentTime

### statTime

    public long statTime

### maxConcurReq

    public long maxConcurReq

### swfCnt

    public long swfCnt

### swfTotSize

    public long swfTotSize

### swfTotTime

    public long swfTotTime

### swfMaxSize

    public long swfMaxSize

### swfMaxTime

    public long swfMaxTime

### jpgCnt

    public long jpgCnt

### jpgTotSize

    public long jpgTotSize

### jpgTotTime

    public long jpgTotTime

### jpgMaxSize

    public long jpgMaxSize

### jpgMaxTime

    public long jpgMaxTime

### pngCnt

    public long pngCnt

### pngTotSize

    public long pngTotSize

### pngTotTime

    public long pngTotTime

### pngMaxSize

    public long pngMaxSize

### pngMaxTime

    public long pngMaxTime

### gifCnt

    public long gifCnt

### gifTotSize

    public long gifTotSize

### gifTotTime

    public long gifTotTime

### gifMaxSize

    public long gifMaxSize

### gifMaxTime

    public long gifMaxTime

### xgifCnt

    public long xgifCnt

### xgifTotSize

    public long xgifTotSize

### xgifTotTime

    public long xgifTotTime

### xgifMaxSize

    public long xgifMaxSize

### xgifMaxTime

    public long xgifMaxTime

### qtmCnt

    public long qtmCnt

### qtmTotSize

    public long qtmTotSize

### qtmTotTime

    public long qtmTotTime

### qtmMaxSize

    public long qtmMaxSize

### qtmMaxTime

    public long qtmMaxTime

Constructor Detail

### GenReportFrame

    public GenReportFrame()

### GenReportFrame

    public GenReportFrame(long[] al,
                          java.lang.String s)

Method Detail

### getGifAvgSize

    public long getGifAvgSize()

### getGifAvgTime

    public long getGifAvgTime()

### getGifCnt

    public long getGifCnt()

### getGifMaxSize

    public long getGifMaxSize()

### getGifMaxTime

    public long getGifMaxTime()

### getJpgAvgSize

    public long getJpgAvgSize()

### getJpgAvgTime

    public long getJpgAvgTime()

### getJpgCnt

    public long getJpgCnt()

### getJpgMaxSize

    public long getJpgMaxSize()

### getJpgMaxTime

    public long getJpgMaxTime()

### getMidTime

    public long getMidTime()

### getPngAvgSize

    public long getPngAvgSize()

### getPngAvgTime

    public long getPngAvgTime()

### getPngCnt

    public long getPngCnt()

### getPngMaxSize

    public long getPngMaxSize()

### getPngMaxTime

    public long getPngMaxTime()

### getQtmAvgSize

    public long getQtmAvgSize()

### getQtmAvgTime

    public long getQtmAvgTime()

### getQtmCnt

    public long getQtmCnt()

### getQtmMaxSize

    public long getQtmMaxSize()

### getQtmMaxTime

    public long getQtmMaxTime()

### getSwfAvgSize

    public long getSwfAvgSize()

### getSwfAvgTime

    public long getSwfAvgTime()

### getSwfCnt

    public long getSwfCnt()

### getSwfMaxSize

    public long getSwfMaxSize()

### getSwfMaxTime

    public long getSwfMaxTime()

### getWriteString

    public java.lang.String getWriteString()

### isEmpty

    public boolean isEmpty()

### mergeFrame

    public void mergeFrame(GenReportFrame genreportframe)

### parseReadString

    public boolean parseReadString(java.lang.String s)

### resetValues

    public void resetValues(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD